defmodule Tradex.Instruments.Security do
  @moduledoc false
  use Tradex.Schema

  import Ecto.Changeset

  schema "securities" do
    field :name, :string
    field :ticker, :string
    field :wkn, :string
    field :isin, :string
    field :expiration_date, :date
    field :strike_price, :decimal

    timestamps(type: :utc_datetime)
  end

  @doc false
  def changeset(security, attrs) do
    security
    |> cast(attrs, [:name, :ticker, :wkn, :isin, :expiration_date, :strike_price])
    |> validate_required([:name, :ticker, :wkn, :isin, :expiration_date, :strike_price])
  end
end
